/*
 * Utiliser des listes de données pour stocker des variables
 * Sauver les données dans un fichier csv quand on appuie sur la touche "s"
 * 
 */
import java.io.File; // Afin de vérifier le chemin de sauvegarde du fichier

ArrayList<PVector> XY; // liste de données sauvées
PVector P;


void setup() {
  size(500,500);
  XY = new ArrayList(); // initialisation des liste de données
  
  background(0); // mettre le fond de l'écran en noir
  stroke(255); // contour blanc -> affichage des points  
}

void draw() {
  // création et enregitrement des points de déplacement
  
  P = new PVector();
  P.x=mouseX;
  P.y=mouseY;
  XY.add(P); // ajouter le nouveau point à la liste des points
  point(P.x,P.y);
}


/** Gestion des appuis clavier */
void keyPressed() {
  switch (key) {
    case 's': // sauver le fichier de points
    case 'S': 
        try{
          PrintWriter writer = new PrintWriter("sav.csv", "UTF-8");
          for (int i=0;i<XY.size();i++) { // on parcourt les objets de la liste
            writer.println((XY.get(i)).x + ";" + (XY.get(i)).y);
          }
          writer.close();
          
          //   
          File file = new File("");
          String path = file.getAbsolutePath();
          println(">> Fichier sauvé dans le répertoire : " + path);
        }
        catch (IOException e) {}
        break;
        
    case 'q': // quitter le système
    case 'Q':
          System.exit(0);
          break;
          
  }
}