/**
 Utiliser une liaison série dans un script Processing

 Lit les données depuis un arduino (utiliser le sketck ultrason.ino
 */
import processing.serial.*;

Serial PortSerie;
static final int LF = 10; // Code ASCII pour LineFeed
String ChaineLue;

void setup() {
  size(320,240); // créer une fenêtre de taille 320,240
  
  String NomDuPort = "COM5"; // port série à modifier
  
  PortSerie = new Serial(this, NomDuPort, 9600); 
  PortSerie.bufferUntil(LF); // lire jusqu'au caractère LF
  ChaineLue = "";
}

void draw() {
  background(0);
  fill(255); // affichage en blanc
  text(ChaineLue, 10,10);
}
void mousePressed() {
  PortSerie.write('+'); // si on clique sur la souris (n'importe laquelle), envoi de '+'
}

void keyPressed() {
  PortSerie.write(' '); // si on appuie sur une touche (n'importe laquelle), envoi de ' '
}
void serialEvent(Serial p) {
  try {
    ChaineLue = trim(p.readStringUntil(LF)); // lecture d'une chaine de caractère d'Arduino    
  }
  catch(Exception e) {
  }
} 